#include <stdlib.h>
#include <ccblkfn.h>

void *malloc(size_t size)
{
	unsigned int imask;
	void * result;
	
	imask = cli();
	result = heap_malloc( 0, size );
	sti(imask);
	return( result );
}

void free(void *ptr)
{
	unsigned int imask;
	void * result;
	
	imask = cli();
	heap_free( 0, ptr );
	sti(imask);
}

